﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Session["data"] = getTable();
        }
        this.WebDataGrid1.DataSource = Session["data"];
    }

    private DataTable getTable()
    {
        DataTable table = new DataTable();

        table.Columns.Add("col1", typeof(Int32));
        table.Columns.Add("col2", typeof(string));
        table.Columns.Add("col3", typeof(string));

        for (int i = 0; i < 5; i++)
        {
            table.Rows.Add(new object[] { i, "test" + i, "ITEM" + i });
        }

        table.PrimaryKey = new DataColumn[] { table.Columns["col1"] };

        return table;
    }

    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        if (Session["hide"] != null &&  (bool)Session["hide"])
        {
            if (e.Row.Index == 2)
            {
                e.Row.CssClass = "hideRow";
            }
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        Session["hide"] = true;
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Session["hide"] = false;
    }
}